---
title: CustomElementRegistry.get()
slug: Web/API/CustomElementRegistry/get
tags:
  - API
  - CustomElementRegistry
  - Experimental
  - Method
  - Reference
  - Web Components
  - custom elements
  - get
---
<p>{{APIRef("CustomElementRegistry")}}</p>

<p><span class="seoSummary">The <code><strong>get()</strong></code> method of the {{domxref("CustomElementRegistry")}} interface returns the constructor for a previously-defined custom element.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>constructor</em> = customElements.get(<em>name</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>name</dt>
 <dd>The name of the custom element whose constructor you want to return a reference to.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The constructor for the named custom element, or <code>undefined</code> if there is no custom element definition with that name.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">customElements.define('my-paragraph',
  class extends HTMLElement {
    constructor() {
      let templateContent = document.getElementById('my-paragraph').content;
      super() // returns element this scope
        .attachShadow({mode: 'open'}) // sets AND returns this.shadowRoot
        .append(templateContent.cloneNode(true));
  }
})

// Return a reference to the my-paragraph constructor
<span class="message-body-wrapper"><span class="message-flex-body"><span class="devtools-monospace message-body">let ctor = customElements.get('my-paragraph');</span></span></span>
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("HTML WHATWG", "custom-elements.html#dom-customelementregistry-get", "customElements.get()")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CustomElementRegistry.get")}}</p>
</div>
